Subject: bug#25511: 26.0.50; modify-frame-parameters modifies undesignated parameter?

From: martin rudalics <[email-masked]>
Date: Mon, 23 Jan 2017 19:01:46 +0100

> Should we change modify-frame-parameters to delay the actual
 > modification until the frame turns visible?

In a sense yes, see also Bug#24526.  Usually, we should be able to set
positions and sizes via the WM size hints right away so the window
manager can pick them up there whenever it maps the frame.  On Windows
there is a special function to set the sizes of an invisible window.

But all this should be done independently from setting up a new frame
that is supposed to become visible immediately.  In that latter case
‘modify-frame-parameters’ should not be used in the first place.

martin